'use strict';

var _package = require('../package.json');

var _babelCore = require('babel-core');

var _ = require('.');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const compile = code => (0, _babelCore.transform)(code, { ast: false, babelrc: false, plugins: [_2.default] }).code;

describe(_package.name, () => {
  it('should replace String.prototype.padStart with a polyfill', () => {
    const result = compile(`
      const text = 'this is a string'
      if (text.padStart('a')) {
        console.log('success')
      } else {
        console.log('failure')
      }
    `);

    return expect(result).toMatchSnapshot();
  });
});